# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-10-05 20:28
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [("legislative", "0004_auto_20171005_2027")]

    operations = [
        migrations.AlterField(
            model_name="bill",
            name="from_organization",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="bills",
                to="core.Organization",
            ),
        ),
        migrations.AlterField(
            model_name="bill",
            name="legislative_session",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="bills",
                to="legislative.LegislativeSession",
            ),
        ),
        migrations.AlterField(
            model_name="billaction",
            name="organization",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="actions",
                to="core.Organization",
            ),
        ),
        migrations.AlterField(
            model_name="billactionrelatedentity",
            name="organization",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="core.Organization",
            ),
        ),
        migrations.AlterField(
            model_name="billactionrelatedentity",
            name="person",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="core.Person",
            ),
        ),
        migrations.AlterField(
            model_name="billsponsorship",
            name="organization",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="core.Organization",
            ),
        ),
        migrations.AlterField(
            model_name="billsponsorship",
            name="person",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="core.Person",
            ),
        ),
        migrations.AlterField(
            model_name="event",
            name="jurisdiction",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="events",
                to="core.Jurisdiction",
            ),
        ),
        migrations.AlterField(
            model_name="event",
            name="location",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="legislative.EventLocation",
            ),
        ),
        migrations.AlterField(
            model_name="eventparticipant",
            name="organization",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="core.Organization",
            ),
        ),
        migrations.AlterField(
            model_name="eventparticipant",
            name="person",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="core.Person",
            ),
        ),
        migrations.AlterField(
            model_name="eventrelatedentity",
            name="bill",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="legislative.Bill",
            ),
        ),
        migrations.AlterField(
            model_name="eventrelatedentity",
            name="organization",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="core.Organization",
            ),
        ),
        migrations.AlterField(
            model_name="eventrelatedentity",
            name="person",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="core.Person",
            ),
        ),
        migrations.AlterField(
            model_name="eventrelatedentity",
            name="vote_event",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="legislative.VoteEvent",
            ),
        ),
        migrations.AlterField(
            model_name="legislativesession",
            name="jurisdiction",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="legislative_sessions",
                to="core.Jurisdiction",
            ),
        ),
        migrations.AlterField(
            model_name="personvote",
            name="voter",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="votes",
                to="core.Person",
            ),
        ),
        migrations.AlterField(
            model_name="relatedbill",
            name="related_bill",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="related_bills_reverse",
                to="legislative.Bill",
            ),
        ),
        migrations.AlterField(
            model_name="voteevent",
            name="bill_action",
            field=models.OneToOneField(
                default=None,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="vote",
                to="legislative.BillAction",
            ),
        ),
        migrations.AlterField(
            model_name="voteevent",
            name="legislative_session",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="votes",
                to="legislative.LegislativeSession",
            ),
        ),
        migrations.AlterField(
            model_name="voteevent",
            name="organization",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="votes",
                to="core.Organization",
            ),
        ),
    ]
